Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 952676

Summary: ipa-server-install does not properly handle dual stacked hosts
Product: [Fedora] Fedora Reporter: adam@omega.org.uk <adam.bishop>
Component: freeipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 21CC: abokovoy, mkosek, rcritten, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freeipa-4.1.1-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-25 03:07:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description adam@omega.org.uk 2013-04-16 12:29:48 UTC
Description of problem:
When running the installer on a dual stacked system, the user is presented with the following question:

 The server hostname resolves to more than one address:
   yyyy:yyyy:yyyy:yyyy::4
   xxx.xxx.xxx.180
 Please provide the IP address to be used for this host name: 

The actual answer to this question seems to be ignored - the installer seems to successfully configure FreeIPA listening on both v4 and v6 addresses.

Additionally, the zone file suggested by FreeIPA does not contain a AAAA record. This is incorrect.
Version-Release number of selected component (if applicable):
3.1.3

How reproducible:
Always

Steps to Reproduce:
1. Configure IPv4 and IPv6 fully on a host
2. Install FreeIPA
  
Actual results:
Spurious question presented, zone file does not contain quad AAA record.

Expected results:
Installer should recognise dual-stacked configuration and generate a AAAA record in the zone file.

Additional info:

Prometheus% telnet ds 389
Trying xxxx:xxx:x:xxx::4...
Connected to ds.
Escape character is '^]'.

[root@ds ~]# netstat -a | grep -i listen
tcp        0      0 *:kerberos              *:*                     LISTEN
tcp        0      0 *:kerberos-adm          *:*                     LISTEN
tcp        0      0 *:sunrpc                *:*                     LISTEN
tcp        0      0 *:kpasswd               *:*                     LISTEN
tcp6       0      0 [::]:kerberos           [::]:*                  LISTEN
tcp6       0      0 [::]:https              [::]:*                  LISTEN
tcp6       0      0 [::]:ldaps              [::]:*                  LISTEN
tcp6       0      0 [::]:ldap               [::]:*                  LISTEN
tcp6       0      0 [::]:sunrpc             [::]:*                  LISTEN
tcp6       0      0 [::]:webcache           [::]:*                  LISTEN
tcp6       0      0 [::]:http               [::]:*                  LISTEN
tcp6       0      0 [::]:kpasswd            [::]:*                  LISTEN

Comment 1 Martin Kosek 2013-04-18 11:45:08 UTC
This issue is related to Bug 894063 and upstream ticket https://fedorahosted.org/freeipa/ticket/3338 (deferred).

I will clone this Bug upstream, with different target. We should only force people to pass --ip-address if the hostname is not resolvable. If it is, we should just use standard resolution to find out all addresses.

Comment 2 Martin Kosek 2013-04-18 11:45:51 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3575

Comment 3 Fedora End Of Life 2013-12-21 15:28:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Martin Kosek 2014-01-02 13:24:47 UTC
This issue is still valid for current Fedora version, changing the version field.

Comment 5 Martin Kosek 2014-09-26 15:58:38 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/947c7398edbcae29d74acea3b00968871bd4ce98
ipa-4-1:
* 579b614e3f0501138d3fbb669cf6ae85adb3ac56 Detect and configure all usable IP addresses.

Comment 6 Fedora Update System 2014-10-23 08:32:28 UTC
freeipa-4.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.1.0-2.fc21

Comment 7 Fedora Update System 2014-10-23 16:22:10 UTC
Package freeipa-4.1.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-4.1.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13547/freeipa-4.1.0-2.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-11-21 13:55:48 UTC
freeipa-4.1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.1.1-2.fc21

Comment 9 Fedora Update System 2014-11-25 03:07:00 UTC
freeipa-4.1.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.